<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>FileCollection (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="FileCollection (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/file/EmptyFileVisitor.html" title="class in org.gradle.api.file"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/file/FileCollection.AntType.html" title="enum in org.gradle.api.file"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/FileCollection.html" target="_top">Frames</a></li>
<li><a href="FileCollection.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.file</div>
<h2 title="Interface FileCollection" class="title">Interface FileCollection</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/tasks/AntBuilderAware.html" title="interface in org.gradle.api.tasks">AntBuilderAware</a>, <a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/file/ConfigurableFileCollection.html" title="interface in org.gradle.api.file">ConfigurableFileCollection</a>, <a href="../../../../org/gradle/api/file/ConfigurableFileTree.html" title="interface in org.gradle.api.file">ConfigurableFileTree</a>, <a href="../../../../org/gradle/api/artifacts/Configuration.html" title="interface in org.gradle.api.artifacts">Configuration</a>, <a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a>, <a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a>, <a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks">SourceSetOutput</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">FileCollection</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;, <a href="../../../../org/gradle/api/tasks/AntBuilderAware.html" title="interface in org.gradle.api.tasks">AntBuilderAware</a>, <a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a></pre>
<div class="block"><p>A <code>FileCollection</code> represents a collection of files which you can query in certain ways. A file collection
 is often used to define a classpath, or to add files to a container.</p>

 <p>You can obtain a <code>FileCollection</code> instance using <a href="../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(java.lang.Object...)</code></a>.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCollection.AntType.html" title="enum in org.gradle.api.file">FileCollection.AntType</a></strong></code>
<div class="block">Ant types which a <code>FileCollection</code> can be mapped to.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCollection.html#add(org.gradle.api.file.FileCollection)">add</a></strong>(<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;collection)</code>
<div class="block">Adds another collection to this collection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCollection.html#addToAntBuilder(java.lang.Object,%20java.lang.String)">addToAntBuilder</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;builder,
               <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;nodeName)</code>
<div class="block">Adds this collection to an Ant task as a nested node.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCollection.html#addToAntBuilder(java.lang.Object,%20java.lang.String,%20org.gradle.api.file.FileCollection.AntType)">addToAntBuilder</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;builder,
               <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;nodeName,
               <a href="../../../../org/gradle/api/file/FileCollection.AntType.html" title="enum in org.gradle.api.file">FileCollection.AntType</a>&nbsp;type)</code>
<div class="block">Adds this collection to an Ant task as a nested node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCollection.html#asType(java.lang.Class)">asType</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;?&gt;&nbsp;type)</code>
<div class="block">Converts this collection into an object of the specified type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCollection.html#contains(java.io.File)">contains</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>
<div class="block">Determines whether this collection contains the given file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCollection.html#filter(groovy.lang.Closure)">filter</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;filterClosure)</code>
<div class="block">Restricts the contents of this collection to those files which match the given criteria.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCollection.html#filter(org.gradle.api.specs.Spec)">filter</a></strong>(<a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;filterSpec)</code>
<div class="block">Restricts the contents of this collection to those files which match the given criteria.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCollection.html#getAsFileTree()">getAsFileTree</a></strong>()</code>
<div class="block">Converts this collection to a <a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file"><code>FileTree</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCollection.html#getAsPath()">getAsPath</a></strong>()</code>
<div class="block">Returns the contents of this collection as a platform-specific path.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCollection.html#getFiles()">getFiles</a></strong>()</code>
<div class="block">Returns the contents of this collection as a Set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCollection.html#getSingleFile()">getSingleFile</a></strong>()</code>
<div class="block">Returns the content of this collection, asserting it contains exactly one file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCollection.html#isEmpty()">isEmpty</a></strong>()</code>
<div class="block">Returns true if this collection is empty.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCollection.html#minus(org.gradle.api.file.FileCollection)">minus</a></strong>(<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;collection)</code>
<div class="block">Returns a <code>FileCollection</code> which contains the difference between this collection and the given
 collection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCollection.html#plus(org.gradle.api.file.FileCollection)">plus</a></strong>(<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;collection)</code>
<div class="block">Returns a <code>FileCollection</code> which contains the union of this collection and the given collection.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileCollection.html#stopExecutionIfEmpty()">stopExecutionIfEmpty</a></strong>()</code>
<div class="block">Throws a <a href="../../../../org/gradle/api/tasks/StopExecutionException.html" title="class in org.gradle.api.tasks"><code>StopExecutionException</code></a> if this collection is empty.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true#iterator()" title="class or interface in java.lang">iterator</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.Buildable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a></h3>
<code><a href="../../../../org/gradle/api/Buildable.html#getBuildDependencies()">getBuildDependencies</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSingleFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSingleFile</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getSingleFile()
                   throws <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></pre>
<div class="block">Returns the content of this collection, asserting it contains exactly one file.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The file.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - when this collection does not contain exactly one file.</dd></dl>
</li>
</ul>
<a name="getFiles()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFiles</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;getFiles()</pre>
<div class="block">Returns the contents of this collection as a Set.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The files. Returns an empty set if this collection is empty.</dd></dl>
</li>
</ul>
<a name="contains(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre>boolean&nbsp;contains(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</pre>
<div class="block">Determines whether this collection contains the given file. Generally, this method is more efficient than calling
 <code>getFiles().contains(file)</code>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>file</code> - The file to check for.</dd>
<dt><span class="strong">Returns:</span></dt><dd>true if this collection contains the given file, false otherwise.</dd></dl>
</li>
</ul>
<a name="getAsPath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAsPath</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getAsPath()</pre>
<div class="block">Returns the contents of this collection as a platform-specific path. This can be used, for example, in an Ant
 &lt;path&gt; element.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The path. Returns an empty string if this collection is empty.</dd></dl>
</li>
</ul>
<a name="plus(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>plus</h4>
<pre><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;plus(<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;collection)</pre>
<div class="block"><p>Returns a <code>FileCollection</code> which contains the union of this collection and the given collection. The
 returned collection is live, and tracks changes to both source collections.</p>

 <p>You can call this method in your build script using the <code>+</code> operator.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>collection</code> - The other collection. Should not be null.</dd>
<dt><span class="strong">Returns:</span></dt><dd>A new collection containing the union.</dd></dl>
</li>
</ul>
<a name="minus(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>minus</h4>
<pre><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;minus(<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;collection)</pre>
<div class="block"><p>Returns a <code>FileCollection</code> which contains the difference between this collection and the given
 collection. The returned collection is live, and tracks changes to both source collections.</p>

 <p>You can call this method in your build script using the <code>-</code> operator.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>collection</code> - The other collection. Should not be null.</dd>
<dt><span class="strong">Returns:</span></dt><dd>A new collection containing the difference.</dd></dl>
</li>
</ul>
<a name="filter(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filter</h4>
<pre><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;filter(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;filterClosure)</pre>
<div class="block"><p>Restricts the contents of this collection to those files which match the given criteria. The filtered
 collection is live, so that it reflects any changes to this collection.</p>

 <p>The given closure is passed the File as a parameter, and should return a boolean value.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>filterClosure</code> - The closure to use to select the contents of the filtered collection.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The filtered collection.</dd></dl>
</li>
</ul>
<a name="filter(org.gradle.api.specs.Spec)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filter</h4>
<pre><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;filter(<a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;filterSpec)</pre>
<div class="block"><p>Restricts the contents of this collection to those files which match the given criteria. The filtered
 collection is live, so that it reflects any changes to this collection.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>filterSpec</code> - The criteria to use to select the contents of the filtered collection.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The filtered collection.</dd></dl>
</li>
</ul>
<a name="asType(java.lang.Class)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asType</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;asType(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;?&gt;&nbsp;type)
              throws <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/UnsupportedOperationException.html?is-external=true" title="class or interface in java.lang">UnsupportedOperationException</a></pre>
<div class="block"><p>Converts this collection into an object of the specified type. Supported types are: <code>Collection</code>, <code>List</code>, <code>Set</code>, <code>Object[]</code>, <code>File[]</code>, <code>File</code>, and <a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file"><code>FileTree</code></a>.</p>

 <p>You can call this method in your build script using the <code>as</code> operator.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>type</code> - The type to convert to.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The converted value.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/UnsupportedOperationException.html?is-external=true" title="class or interface in java.lang">UnsupportedOperationException</a></code> - When an unsupported type is specified.</dd></dl>
</li>
</ul>
<a name="add(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;add(<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;collection)
                   throws <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/UnsupportedOperationException.html?is-external=true" title="class or interface in java.lang">UnsupportedOperationException</a></pre>
<div class="block"><p>Adds another collection to this collection. This is an optional operation.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>collection</code> - The collection to add.</dd>
<dt><span class="strong">Returns:</span></dt><dd>This</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/UnsupportedOperationException.html?is-external=true" title="class or interface in java.lang">UnsupportedOperationException</a></code> - When this collection does not allow modification.</dd></dl>
</li>
</ul>
<a name="isEmpty()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre>boolean&nbsp;isEmpty()</pre>
<div class="block">Returns true if this collection is empty. Generally, calling this method is more efficient than calling <code>getFiles().isEmpty()</code>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true if this collection is empty, false otherwise.</dd></dl>
</li>
</ul>
<a name="stopExecutionIfEmpty()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stopExecutionIfEmpty</h4>
<pre><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;stopExecutionIfEmpty()
                                    throws <a href="../../../../org/gradle/api/tasks/StopExecutionException.html" title="class in org.gradle.api.tasks">StopExecutionException</a></pre>
<div class="block">Throws a <a href="../../../../org/gradle/api/tasks/StopExecutionException.html" title="class in org.gradle.api.tasks"><code>StopExecutionException</code></a> if this collection is empty.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>this</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../org/gradle/api/tasks/StopExecutionException.html" title="class in org.gradle.api.tasks">StopExecutionException</a></code> - When this collection is empty.</dd></dl>
</li>
</ul>
<a name="getAsFileTree()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAsFileTree</h4>
<pre><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a>&nbsp;getAsFileTree()</pre>
<div class="block">Converts this collection to a <a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file"><code>FileTree</code></a>. Generally, for each file in this collection, the resulting file
 tree will contain the source file at the root of the tree. For each directory in this collection, the resulting
 file tree will contain all the files under the source directory.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>this collection as a <a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file"><code>FileTree</code></a>. Never returns null.</dd></dl>
</li>
</ul>
<a name="addToAntBuilder(java.lang.Object, java.lang.String, org.gradle.api.file.FileCollection.AntType)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addToAntBuilder</h4>
<pre>void&nbsp;addToAntBuilder(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;builder,
                   <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;nodeName,
                   <a href="../../../../org/gradle/api/file/FileCollection.AntType.html" title="enum in org.gradle.api.file">FileCollection.AntType</a>&nbsp;type)</pre>
<div class="block">Adds this collection to an Ant task as a nested node. The given type determines how this collection is added:

 <ul>

 <li><a href="../../../../org/gradle/api/file/FileCollection.AntType.html#MatchingTask"><code>FileCollection.AntType.MatchingTask</code></a>: adds this collection to an Ant MatchingTask. The collection is converted to a
 set of source directories and include and exclude patterns. The source directories as added as an Ant Path with
 the given node name. The patterns are added using 'include' and 'exclude' nodes.</li>

 <li><a href="../../../../org/gradle/api/file/FileCollection.AntType.html#FileSet"><code>FileCollection.AntType.FileSet</code></a>: adds this collection as zero or more Ant FileSets with the given node name.</li>

 <li><a href="../../../../org/gradle/api/file/FileCollection.AntType.html#ResourceCollection"><code>FileCollection.AntType.ResourceCollection</code></a>: adds this collection as zero or more Ant ResourceCollections with the
 given node name.</li>

 </ul>

 You should prefer using <a href="../../../../org/gradle/api/file/FileCollection.AntType.html#ResourceCollection"><code>FileCollection.AntType.ResourceCollection</code></a>, if the target Ant task supports it, as this is
 generally the most efficient. Using the other types may involve copying the contents of this collection to a
 temporary directory.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>builder</code> - The builder to add this collection to.</dd><dd><code>nodeName</code> - The target node name.</dd><dd><code>type</code> - The target Ant type</dd></dl>
</li>
</ul>
<a name="addToAntBuilder(java.lang.Object, java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addToAntBuilder</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;addToAntBuilder(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;builder,
                     <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;nodeName)</pre>
<div class="block">Adds this collection to an Ant task as a nested node. Equivalent to calling <code>addToAntBuilder(builder,
nodeName,AntType.ResourceCollection)</code>.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/tasks/AntBuilderAware.html#addToAntBuilder(java.lang.Object,%20java.lang.String)">addToAntBuilder</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/tasks/AntBuilderAware.html" title="interface in org.gradle.api.tasks">AntBuilderAware</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/file/EmptyFileVisitor.html" title="class in org.gradle.api.file"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/file/FileCollection.AntType.html" title="enum in org.gradle.api.file"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/FileCollection.html" target="_top">Frames</a></li>
<li><a href="FileCollection.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
